
import 'package:shared_preferences/shared_preferences.dart';
import '../../../Helper/Constants/Apiconstants.dart';
import '../../../Model/Response/Tenantpricing/Tenantpricingresponse.dart';
import '../../Provider/Tenantpricing/Tenantchargesprovider.dart';

class TenantPricingRepository {
  TenantPricingProvider tenantChargesProvider =TenantPricingProvider();
  int tenantId = 0;

  Future<GetTenantPricing?> getTenantPricing() async {
    SharedPreferences prefs = await SharedPreferences.getInstance();
    tenantId = prefs.getInt('tenantId')??0;
    var result = await tenantChargesProvider.getTenantPricing('${ApiConstants.getTenantPricing}/?tenantid=$tenantId',);
    return result;
  }
}
